Continue Onboarding
Resume a recipient’s onboarding after providing additional required data or documentation
curl --request POST \
--url https://api-sandbox.y.uno/v1/recipients/{recipient_id}/onboardings/{onboarding_id}/continue \
--header 'Content-Type: application/json' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"account_id": "9104911d-5df9-429e-8488-ad41abea1a4b",
"type": "TWO_STEP_ONBOARDING",
"workflow": "HOSTED_BY_PROVIDER",
"callback_url": "https://www.google.com",
"provider": {
"id": "PAGARME",
"connection_id": "104911d-5df9-429e-8488-ad41abea1a4b",
"recipient_id": "AAAAA01"
},
"documentation": [
{
"file_name": "PDF",
"content_type": "application/pdf",
"content": "JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwovUGFnZXMgMiAwIFIKPj4KZW5kb2JqCg=="
}
],
"withdrawal_methods": {
"bank": {
"code": "246",
"branch": "XXXX",
"branch_digit": "<string>",
"account": "1093333333",
"account_digit": "<string>",
"account_type": "SAVINGS",
"routing": "XXXXYYYYC",
"country": "CO",
"currency": "COP"
}
},
"legal_representatives": [
{
"merchant_reference": "<string>",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@email.com",
"date_of_birth": "1990-02-28",
"country": "CO",
"nationality": "CO",
"title": "CTO",
"publicly_exposed_person": false,
"ultimate_beneficial_owner": false
}
]
}
'import requests
url = "https://api-sandbox.y.uno/v1/recipients/{recipient_id}/onboardings/{onboarding_id}/continue"
payload = {
"account_id": "9104911d-5df9-429e-8488-ad41abea1a4b",
"type": "TWO_STEP_ONBOARDING",
"workflow": "HOSTED_BY_PROVIDER",
"callback_url": "https://www.google.com",
"provider": {
"id": "PAGARME",
"connection_id": "104911d-5df9-429e-8488-ad41abea1a4b",
"recipient_id": "AAAAA01"
},
"documentation": [
{
"file_name": "PDF",
"content_type": "application/pdf",
"content": "JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwovUGFnZXMgMiAwIFIKPj4KZW5kb2JqCg=="
}
],
"withdrawal_methods": { "bank": {
"code": "246",
"branch": "XXXX",
"branch_digit": "<string>",
"account": "1093333333",
"account_digit": "<string>",
"account_type": "SAVINGS",
"routing": "XXXXYYYYC",
"country": "CO",
"currency": "COP"
} },
"legal_representatives": [
{
"merchant_reference": "<string>",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@email.com",
"date_of_birth": "1990-02-28",
"country": "CO",
"nationality": "CO",
"title": "CTO",
"publicly_exposed_person": False,
"ultimate_beneficial_owner": False
}
]
}
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '9104911d-5df9-429e-8488-ad41abea1a4b',
type: 'TWO_STEP_ONBOARDING',
workflow: 'HOSTED_BY_PROVIDER',
callback_url: 'https://www.google.com',
provider: {
id: 'PAGARME',
connection_id: '104911d-5df9-429e-8488-ad41abea1a4b',
recipient_id: 'AAAAA01'
},
documentation: [
{
file_name: 'PDF',
content_type: 'application/pdf',
content: 'JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwovUGFnZXMgMiAwIFIKPj4KZW5kb2JqCg=='
}
],
withdrawal_methods: {
bank: {
code: '246',
branch: 'XXXX',
branch_digit: '<string>',
account: '1093333333',
account_digit: '<string>',
account_type: 'SAVINGS',
routing: 'XXXXYYYYC',
country: 'CO',
currency: 'COP'
}
},
legal_representatives: [
{
merchant_reference: '<string>',
first_name: 'John',
last_name: 'Doe',
email: 'john.doe@email.com',
date_of_birth: '1990-02-28',
country: 'CO',
nationality: 'CO',
title: 'CTO',
publicly_exposed_person: false,
ultimate_beneficial_owner: false
}
]
})
};
fetch('https://api-sandbox.y.uno/v1/recipients/{recipient_id}/onboardings/{onboarding_id}/continue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "61df26d9-3750-4206-baab-f2e20683f35b",
"type": "TWO_STEP_ONBOARDING",
"workflow": "HOSTED_BY_PROVIDER",
"status": "PENDING",
"provider": {
"id": "STRIPE",
"connection_id": "8fee3cc6-f3cb-455d-b139-973866111a03",
"recipient_id": "acct_1RvpogA4Jk50vKRE",
"redirect_url": "https://api.y.uno/redirect/kyc/stripe/session_12345"
},
"created_at": "2025-08-22T17:57:58.460711Z",
"updated_at": "2025-08-22T18:15:22.123456Z"
}{
"code": "INVALID_REQUEST",
"messages": [
"Invalid request format"
]
}{
"code": "INVALID_CREDENTIALS",
"messages": [
"Invalid credentials"
]
}{
"code": "AUTHORIZATION_REQUIRED",
"messages": [
"The merchant has no authorization to use this API."
]
}Prerequisites
This endpoint requires a prior Create Onboarding call withtype: "TWO_STEP_ONBOARDING" where the account creation step has been completed successfully. This is the second step in two-step onboarding flows for the split payments marketplace.
The continue process supports two workflow types:
- HOSTED_BY_PROVIDER: Returns a Yuno redirect URL that logs activity and redirects to the provider’s KYC interface. Use
workflow: "HOSTED_BY_PROVIDER". - DIRECT: Processes KYC validation directly without external redirects. Use
workflow: "DIRECT".
Authorizations
Path Parameters
ID of the recipient
ID of the onboarding to continue
Body
Unique id of the account in Yuno
"9104911d-5df9-429e-8488-ad41abea1a4b"
Type of onboarding flow. Only TWO_STEP_ONBOARDING can be continued.
TWO_STEP_ONBOARDING "TWO_STEP_ONBOARDING"
Workflow of the KYC process. HOSTED_BY_PROVIDER calls create KYC service and returns Yuno URL that redirects to provider. DIRECT calls create KYC service and processes KYC directly.
HOSTED_BY_PROVIDER, DIRECT "HOSTED_BY_PROVIDER"
URL in case to redirect your customer after the onboarding process with the provider, if needed.
"https://www.google.com"
Show child attributes
Show child attributes
Specifies the documentation object.
Show child attributes
Show child attributes
Specifies the withdrawal methods object.
Show child attributes
Show child attributes
Object to indicate the owners of the organization. Adyen, Stripe and dlocal have fields related to that.
Show child attributes
Show child attributes
Object describing terms of service.
Show child attributes
Show child attributes
Response
Created
The unique identifier of the recipient.
"3aaa4d82-11e8-48ce-8ef5-04eee3a10802"
The account identifier associated with this recipient.
"fe14c7c6-c75e-43b7-bdbe-4c87ad52c482"
Unique identifier of the recipient defined by the merchant.
"MERCHANT_182acf1d-faeb-4ff0-94cd-7fab11b282f6"
Beneficiary's national entity type.
"INDIVIDUAL"
Beneficiary's type of organization.
"PRIVATE"
Beneficiary's name.
"Juan"
Beneficiary's last name.
"Perez"
Beneficiary's legal name.
null
The Beneficiary's email.
"juan.perez@example.com"
Beneficiary's date of birth.
"1990-01-15"
The Beneficiary's country.
"CO"
The seller's website URL.
"https://juanperez.com"
The seller's industry.
"Technology"
The merchant category code (MCC) (MAX 235; MIN 1).
"5734"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Rules for automatic split calculation at the recipient level.
Show child attributes
Show child attributes
Recipient creation date (ISO 8601 MAX 27; MIN 27).
"2025-08-27T15:41:19.497413Z"
Last Recipient updated date (ISO 8601 MAX 27; MIN 27).
"2025-08-27T15:41:19.497425Z"
Was this page helpful?
